Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.executor.events.listeners
Class DefaultExecutorEventListener

    java.lang.Object
      org.jbpm.executor.events.listeners.DefaultExecutorEventListener

All Implemented Interfaces:
  ExecutorEventListener

    public class DefaultExecutorEventListener

extends Object
implements ExecutorEventListener

Constructor Summary
`DefaultExecutorEventListener()`

Method Summary
`void` | `onError(ErrorInfo e)`
`void` | `onRequestCancelled(RequestInfo r)`
`void` | `onRequestOnError(RequestInfo r)`
`void` | `onRequestPending(RequestInfo r)`
`void` | `onRequestRunning(RequestInfo r)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultExecutorEventListener

    public DefaultExecutorEventListener()

Method Detail

### onRequestPending

    public void onRequestPending(@Observes(notifyObserver=ALWAYS)
                                 RequestInfo r)

  Specified by:
    `onRequestPending` in interface `ExecutorEventListener`

### onRequestRunning

    public void onRequestRunning(@Observes(notifyObserver=ALWAYS)
                                 RequestInfo r)

  Specified by:
    `onRequestRunning` in interface `ExecutorEventListener`

### onRequestCancelled

    public void onRequestCancelled(@Observes(notifyObserver=ALWAYS)
                                   RequestInfo r)

  Specified by:
    `onRequestCancelled` in interface `ExecutorEventListener`

### onRequestOnError

    public void onRequestOnError(@Observes(notifyObserver=ALWAYS)
                                 RequestInfo r)

  Specified by:
    `onRequestOnError` in interface `ExecutorEventListener`

### onError

    public void onError(@Observes(notifyObserver=ALWAYS)
                        ErrorInfo e)

  Specified by:
    `onError` in interface `ExecutorEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.